Bug 1011704 - Make udev db records for MD devices persistent so LVM on MD autoactivation works correctly
Make udev db records for MD devices persistent so LVM on MD autoactivation wo...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: dracut (Show other bugs)
rawhide
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Harald Hoyer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-24 17:29 EDT by Nicolas Mailhot
Modified: 2013-10-09 05:00 EDT (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1014067 1017031 (view as bug list)
Environment:
Last Closed: 2013-10-09 05:00:57 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
boot failure (500.43 KB, text/plain)
2013-09-24 17:31 EDT, Nicolas Mailhot
no flags Details
boot success (592.75 KB, text/plain)
2013-09-24 17:31 EDT, Nicolas Mailhot
no flags Details
Patch to fix LVM on MD activation (1.09 KB, text/plain)
2013-10-01 07:09 EDT, Peter Rajnoha
no flags Details

  None (edit)
Description Nicolas Mailhot 2013-09-24 17:29:47 EDT
Description of problem:
 lvm2-2.02.102-1.fc21does not boot
reverting to 02.99-2.fc20 fixes the system
Comment 1 Nicolas Mailhot 2013-09-24 17:31:08 EDT
Created attachment 802500 [details]
boot failure
Comment 2 Nicolas Mailhot 2013-09-24 17:31:51 EDT
Created attachment 802501 [details]
boot success
Comment 3 Peter Rajnoha 2013-09-25 10:41:52 EDT
OK, I've managed to reproduce - the problem here is that the volume is on an MD device which is activated in initrd. There's some missing information we need in udev database which is not handed over after transition to root fs. I'll have a think how to cope with this the best way... but I think we'll need an update for dracut to include some more udev rules in initrd so the udev database is complete when running the udev trigger at boot after change to root fs...
Comment 4 Peter Rajnoha 2013-10-01 07:09:47 EDT
Created attachment 805841 [details]
Patch to fix LVM on MD activation

Harald, we need the patch attached so that the LVM on MD is properly activated. 

The 69-dm-lvm-metad.rules set some udev env. variables that makes it possible to detect the right time to activate LVM on MD. The MD is very similar to DM during activation - it's usable only after proper device activation - the CHANGE event. We need to make a difference between a CHANGE event that comes from this activation and CHANGE event that is the outcome of the WATCH udev rule (otherwise we'd end up with LVM activation done on each CHANGE event - which is wrong).

So we need the udev databse to be persistent during pivot to root fs even for MD devices.

(also related bug #985638 and bug #1002144)
Comment 5 Harald Hoyer 2013-10-04 08:02:16 EDT
do we need a RHEL-7 clone for this?
Comment 6 Peter Rajnoha 2013-10-04 08:10:42 EDT
(In reply to Harald Hoyer from comment #5)
> do we need a RHEL-7 clone for this?

Yes please. F19/F20/rawhide and RHEL7.
Comment 7 Peter Rajnoha 2013-10-04 08:12:21 EDT
(I've already cloned for F19 - bug #1014067)
Comment 8 Harald Hoyer 2013-10-04 09:48:03 EDT
is bug 1011863 the RHEL-7 bug?

Note You need to log in before you can comment on or make changes to this bug.